Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetAllStickerEmojis

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Emojis>
it.tdlight.jni.TdApi.GetAllStickerEmojis

Enclosing class:
  TdApi

public static final class TdApi.GetAllStickerEmojis extends TdApi.Function<TdApi.Emojis>
Returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).

Returns `Emojis`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier for which to find stickers.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`query`
Search query.
`boolean`
`returnOnlyMainEmoji`
Pass true if only main emoji for each found sticker must be included in the result.
`TdApi.StickerType`
`stickerType`
Type of the stickers to search for.

## Constructor Summary

Constructors
Constructor
Description
`GetAllStickerEmojis()`
Returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).
`GetAllStickerEmojis(TdApi.StickerType stickerType, String query, long chatId, boolean returnOnlyMainEmoji)`
Returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).
`GetAllStickerEmojis(DataInput input)`
Returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### stickerType

public TdApi.StickerType stickerType
Type of the stickers to search for.

### query

public String query
Search query.

### chatId

public long chatId
Chat identifier for which to find stickers.

### returnOnlyMainEmoji

public boolean returnOnlyMainEmoji
Pass true if only main emoji for each found sticker must be included in the result.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetAllStickerEmojis

public GetAllStickerEmojis()
Returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).

Returns `Emojis`

### GetAllStickerEmojis

public GetAllStickerEmojis(TdApi.StickerType stickerType, String query, long chatId, boolean returnOnlyMainEmoji)
Returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).

Returns `Emojis`

Parameters:
  `stickerType` - Type of the stickers to search for.
  `query` - Search query.
  `chatId` - Chat identifier for which to find stickers.
  `returnOnlyMainEmoji` - Pass true if only main emoji for each found sticker must be included in the result.

  Returns `Emojis`

### GetAllStickerEmojis

public GetAllStickerEmojis(DataInput input) throws IOException
Returns unique emoji that correspond to stickers to be found by the getStickers(stickerType, query, 1000000, chatId).

Returns `Emojis`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`